Package org.eclipse.graphiti.mm.pictograms.util

## Class PictogramsSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.graphiti.mm.pictograms.util.PictogramsSwitch<T>

    public class PictogramsSwitch<T>
    extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `PictogramsPackage`

### Field Summary

Fields
`protected static PictogramsPackage` `modelPackage` The cached model package

### Constructor Summary

Constructors
`PictogramsSwitch()` Creates an instance of the switch.

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `caseAdvancedAnchor​(AdvancedAnchor object)` Returns the result of interpreting the object as an instance of 'Advanced Anchor'.
`T` `caseAnchor​(Anchor object)` Returns the result of interpreting the object as an instance of 'Anchor'.
`T` `caseAnchorContainer​(AnchorContainer object)` Returns the result of interpreting the object as an instance of 'Anchor Container'.
`T` `caseBoxRelativeAnchor​(BoxRelativeAnchor object)` Returns the result of interpreting the object as an instance of 'Box Relative Anchor'.
`T` `caseChopboxAnchor​(ChopboxAnchor object)` Returns the result of interpreting the object as an instance of 'Chopbox Anchor'.
`T` `caseCompositeConnection​(CompositeConnection object)` Returns the result of interpreting the object as an instance of 'Composite Connection'.
`T` `caseConnection​(Connection object)` Returns the result of interpreting the object as an instance of 'Connection'.
`T` `caseConnectionDecorator​(ConnectionDecorator object)` Returns the result of interpreting the object as an instance of 'Connection Decorator'.
`T` `caseContainerShape​(ContainerShape object)` Returns the result of interpreting the object as an instance of 'Container Shape'.
`T` `caseCurvedConnection​(CurvedConnection object)` Returns the result of interpreting the object as an instance of 'Curved Connection'.
`T` `caseDiagram​(Diagram object)` Returns the result of interpreting the object as an instance of 'Diagram'.
`T` `caseFixPointAnchor​(FixPointAnchor object)` Returns the result of interpreting the object as an instance of 'Fix Point Anchor'.
`T` `caseFreeFormConnection​(FreeFormConnection object)` Returns the result of interpreting the object as an instance of 'Free Form Connection'.
`T` `caseGraphicsAlgorithmContainer​(GraphicsAlgorithmContainer object)` Returns the result of interpreting the object as an instance of 'Graphics Algorithm Container'.
`T` `caseManhattanConnection​(ManhattanConnection object)` Returns the result of interpreting the object as an instance of 'Manhattan Connection'.
`T` `casePictogramElement​(PictogramElement object)` Returns the result of interpreting the object as an instance of 'Pictogram Element'.
`T` `casePictogramLink​(PictogramLink object)` Returns the result of interpreting the object as an instance of 'Pictogram Link'.
`T` `casePropertyContainer​(PropertyContainer object)` Returns the result of interpreting the object as an instance of 'Property Container'.
`T` `caseShape​(Shape object)` Returns the result of interpreting the object as an instance of 'Shape'.
`T` `caseStyleContainer​(StyleContainer object)` Returns the result of interpreting the object as an instance of 'Style Container'.
`T` `defaultCase​(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`protected T` `doSwitch​(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected boolean` `isSwitchFor​(org.eclipse.emf.ecore.EPackage ePackage)` Checks whether this is a switch for the given package.

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### modelPackage

    protected static PictogramsPackage modelPackage

The cached model package

### Constructor Detail

#### PictogramsSwitch

    public PictogramsSwitch()

Creates an instance of the switch.

### Method Detail

#### isSwitchFor

    protected boolean isSwitchFor​(org.eclipse.emf.ecore.EPackage ePackage)

Checks whether this is a switch for the given package.

Specified by:
  `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
Returns:
  whether this is a switch for the given package.

#### doSwitch

    protected T doSwitch​(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Overrides:
  `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
Returns:
  the first non-null result returned by a `caseXXX` call.

#### caseShape

    public T caseShape​(Shape object)

Returns the result of interpreting the object as an instance of 'Shape'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Shape'.
See Also:
  `doSwitch(EObject)`

#### caseContainerShape

    public T caseContainerShape​(ContainerShape object)

Returns the result of interpreting the object as an instance of 'Container Shape'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Container Shape'.
See Also:
  `doSwitch(EObject)`

#### caseDiagram

    public T caseDiagram​(Diagram object)

Returns the result of interpreting the object as an instance of 'Diagram'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Diagram'.
See Also:
  `doSwitch(EObject)`

#### casePictogramElement

    public T casePictogramElement​(PictogramElement object)

Returns the result of interpreting the object as an instance of 'Pictogram Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Pictogram Element'.
See Also:
  `doSwitch(EObject)`

#### caseConnection

    public T caseConnection​(Connection object)

Returns the result of interpreting the object as an instance of 'Connection'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Connection'.
See Also:
  `doSwitch(EObject)`

#### caseAnchor

    public T caseAnchor​(Anchor object)

Returns the result of interpreting the object as an instance of 'Anchor'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Anchor'.
See Also:
  `doSwitch(EObject)`

#### caseAnchorContainer

    public T caseAnchorContainer​(AnchorContainer object)

Returns the result of interpreting the object as an instance of 'Anchor Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Anchor Container'.
See Also:
  `doSwitch(EObject)`

#### caseFixPointAnchor

    public T caseFixPointAnchor​(FixPointAnchor object)

Returns the result of interpreting the object as an instance of 'Fix Point Anchor'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Fix Point Anchor'.
See Also:
  `doSwitch(EObject)`

#### caseBoxRelativeAnchor

    public T caseBoxRelativeAnchor​(BoxRelativeAnchor object)

Returns the result of interpreting the object as an instance of 'Box Relative Anchor'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Box Relative Anchor'.
See Also:
  `doSwitch(EObject)`

#### caseChopboxAnchor

    public T caseChopboxAnchor​(ChopboxAnchor object)

Returns the result of interpreting the object as an instance of 'Chopbox Anchor'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Chopbox Anchor'.
See Also:
  `doSwitch(EObject)`

#### caseConnectionDecorator

    public T caseConnectionDecorator​(ConnectionDecorator object)

Returns the result of interpreting the object as an instance of 'Connection Decorator'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Connection Decorator'.
See Also:
  `doSwitch(EObject)`

#### caseFreeFormConnection

    public T caseFreeFormConnection​(FreeFormConnection object)

Returns the result of interpreting the object as an instance of 'Free Form Connection'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Free Form Connection'.
See Also:
  `doSwitch(EObject)`

#### caseManhattanConnection

    public T caseManhattanConnection​(ManhattanConnection object)

Returns the result of interpreting the object as an instance of 'Manhattan Connection'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Manhattan Connection'.
See Also:
  `doSwitch(EObject)`

#### casePictogramLink

    public T casePictogramLink​(PictogramLink object)

Returns the result of interpreting the object as an instance of 'Pictogram Link'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Pictogram Link'.
See Also:
  `doSwitch(EObject)`

#### caseAdvancedAnchor

    public T caseAdvancedAnchor​(AdvancedAnchor object)

Returns the result of interpreting the object as an instance of 'Advanced Anchor'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Advanced Anchor'.
Since:
  0.9
See Also:
  `doSwitch(EObject)`

#### caseCurvedConnection

    public T caseCurvedConnection​(CurvedConnection object)

Returns the result of interpreting the object as an instance of 'Curved Connection'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Curved Connection'.
Since:
  0.9
See Also:
  `doSwitch(EObject)`

#### caseCompositeConnection

    public T caseCompositeConnection​(CompositeConnection object)

Returns the result of interpreting the object as an instance of 'Composite Connection'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Composite Connection'.
Since:
  0.9
See Also:
  `doSwitch(EObject)`

#### casePropertyContainer

    public T casePropertyContainer​(PropertyContainer object)

Returns the result of interpreting the object as an instance of 'Property Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Property Container'.
See Also:
  `doSwitch(EObject)`

#### caseGraphicsAlgorithmContainer

    public T caseGraphicsAlgorithmContainer​(GraphicsAlgorithmContainer object)

Returns the result of interpreting the object as an instance of 'Graphics Algorithm Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Graphics Algorithm Container'.
See Also:
  `doSwitch(EObject)`

#### caseStyleContainer

    public T caseStyleContainer​(StyleContainer object)

Returns the result of interpreting the object as an instance of 'Style Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Style Container'.
See Also:
  `doSwitch(EObject)`

#### defaultCase

    public T defaultCase​(org.eclipse.emf.ecore.EObject object)

Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Overrides:
  `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`